Subject: [Simple] I-D Action: draft-ietf-simple-simple-08.txt

From: [email-masked]
Date: Mon, 28 Jan 2013 16:44:53 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the SIP for Instant Messaging and Presence Leveraging Extensions Working Group of the IETF.

	Title           : SIMPLE made Simple: An Overview of the IETF Specifications for Instant Messaging and Presence using the Session Initiation Protocol (SIP)
	Author(s)       : Jonathan Rosenberg
	Filename        : draft-ietf-simple-simple-08.txt
	Pages           : 15
	Date            : 2013-01-28

Abstract:
   The IETF has produced many specifications related to Presence and
   Instant Messaging with the Session Initiation Protocol (SIP).
   Collectively, these specifications are known as SIMPLE - SIP for
   Instant Messaging and Presence Leveraging Extensions.  This document
   serves as a guide to the SIMPLE suite of specifications.  It breaks
   them up into categories and explains what each is for and how they
   relate to each other.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-simple-simple

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-simple-simple-08

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-simple-simple-08

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Ben Campbell <[email-masked]>
Date: Tue, 29 Jan 2013 08:17:40 -0600

(as chair)

We had a WGLC on version 06 of draft-ietf-simple-simple some time (as in years) ago. It's been on hold since then to allow the other SIMPLE work to substantially complete. Since our penultimate milestone (simple-chat) has recently been approved by the IESG, it's time to progress simple-simple and complete our final chartered milestone.

The only non-trivial change between 06 and 08 was the split of the entry for the old msrp-acm draft into separate entries for RFC 6135 (COMEDIA for MSRP) and RFC 6174 (CEMA), to account for the split of that draft.

After conferring with the author and our AD, I think these changes are pretty obvious and not likely to be controversial. Therefore we plan to request publication of version 08. If anyone objects to that course of action, please speak up asap.

Thanks!

Ben.

> From: [email-masked]
> Subject: [Simple] I-D Action: draft-ietf-simple-simple-08.txt
> Date: January 28, 2013 6:44:53 PM CST
> To: [email-masked]
> Cc: [email-masked]
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple

---

From: Olle E Johanson <[email-masked]>
Date: Wed, 30 Jan 2013 08:49:14 +0100

> After conferring with the author and our AD, I think these changes are pretty obvious and not likely to be controversial. Therefore we plan to request publication of version 08. If anyone objects t…

Ok, I know I had years to make a comment, but anyway :-)

I would like to see references to the SIP domain certificate specification, as it plays a role for implementors, as well as the SIP certificate management service. These should be important for anyone building SIMPLE implementations and adds some missing pieces in the SIMPLE specs.

- RFC 6072 Certificate Maangement Service for Session Initiation Protocol
   http://tools.ietf.org/html/rfc6072
- RFC 5922 Domain Certificates in the Session Initiation Protocol
  http://tools.ietf.org/html/rfc5922

Maybe we could add a clarification for newbies that "The SIP subscribe/notify mechanism is not only used in SIMPLE, but also in other event packages outside of the scope of this document."

I could possibly also add a section about the missing interoperability in presence/XCAP implementations but that propably won't help this particular document that I find has a lot of value.

See you all at SIPit 30! Only a few days of registration open - so please hurry to http://www.sipit.net and register!
/O

---

From: Ben Campbell <[email-masked]>
Date: Wed, 30 Jan 2013 08:33:44 -0600

(As individual)

> Maybe we could add a clarification for newbies that "The SIP subscribe/notify mechanism is not only used in SIMPLE, but also in other event packages outside of the scope of this document."

My personal opinion is that general SIP mechanisms are out of scope for this draft. Otherwise, we could pull in most of the body of work of SIP. SIP-events is an exception, since it is core to all of the presence work. At most,we might considert a paragraph mentioning that many SIP related mechanisms can apply to SIMPLE just like any other SIP usage, perhaps with a ref to the hitchhiker's guide.

> I could possibly also add a section about the missing interoperability in presence/XCAP implementations but that propably won't help this particular document that I find has a lot of value.

I agree that this wouldn't add value to this doc. Also, I think that's important enough of a concern to warrant its own draft :-)

---

From: Ben Campbell <[email-masked]>
Date: Wed, 30 Jan 2013 12:56:07 -0600

(as chair)

Robert has asked us to progress this as soon as possible. I plan to go ahead and do that for the existing version.

That does _not_ mean we should ignore feedback, nor should we shut down this discussion. We will just treat any further comments and discussion as if they were IETF Last Call comments.

Thanks!

Ben.